Package Scientific :: Package BSP :: Class ParRootSequence

[frames] | no frames]

# Class ParRootSequence

    object --+
             |
      ParValue --+
                 |
       ParSequence --+
                     |
                    ParRootSequence

Global distributed sequence with data taken from processor 0

The local value of a ParRootSequence object is a slice of the input sequence, which is constructed such that the concatenation of the local values of all processors equals the input sequence while making the number of elements on each processor as equal as possible.

Instance Methods

__init__(self, full_sequence) x.__init__(...) initializes x; see x.__class__.__doc__ for signature |

Inherited from `ParSequence`: `__getitem__`, `totalLength`

Inherited from `ParValue`: `__add__`, `__call__`, `__div__`, `__divmod__`, `__eq__`, `__ge__`, `__getattr__`, `__gt__`, `__le__`, `__len__`, `__lt__`, `__mod__`, `__mul__`, `__ne__`, `__neg__`, `__nonzero__`, `__pow__`, `__repr__`, `__str__`, `__sub__`, `accumulate`, `alltrue`, `anytrue`, `broadcast`, `fullExchange`, `get`, `getattr`, `map`, `put`, `reduce`

Inherited from `object`: `__delattr__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`

Class Variables
Inherited from `ParValue`: `is_parvalue`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, full_sequence)
(Constructor)

x.__init__(...) initializes x; see x.__class__.__doc__ for signature

Parameters:
  - `full_sequence` (ParValue) - on processor 0: the full sequence, equal to the concatenation of the local values of all processors. The local values on the other processors are not used.
Overrides: object.__init__